Changes between Initial Version and Version 11 of Ticket #44


Ignore:
Timestamp:
01/11/14 16:39:04 (6 years ago)
Author:
ossi
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #44

    • Property Status changed from new to closed
    • Property Votes for changeset changed from to commited-master
    • Property Severity changed from to merged
    • Property Reporter changed from slavazanko to sgh
    • Property Version changed from to master
    • Property Branch state changed from to no branch
    • Property Milestone changed from to 4.7.0-pre3
    • Property Owner set to slavazanko
    • Property Resolution changed from to fixed
  • Ticket #44 – Description

    initial v11  
    77||Release:||current (CVS or snapshot)||Operating System:||GNU/Linux|| 
    88 
    9 Discussion: 
     9Original submission: 
    1010{{{ 
     11I have mc CVS 2005-08-10-19 installed, I found, that I can't delete  
     12form 7z archives, and can't do some other operations (i.e. mc u7z  
     13cannot properly handle old 7z archives with ".\" at the beginning  
     14of filename)... So I wrote my own u7z version with all  
     15functionality, that provide p7zip archiver. Please include it to  
     16the mc source code. 
     17}}} 
    1118 
    12 Fri 23 Jun 2006 11:06:44 PM UTC, comment #6: 
     19Comment 1 by SGh <sgh> at Sat 08 Apr 2006 01:45:08 PM UTC: 
     20{{{ 
     21P.S. Sorry for my bad english. 
     22}}} 
    1323 
     24Comment 2 by Pavel Tsekov <ptsekov> at Thu 18 May 2006 01:51:52 PM UTC: 
     25{{{ 
     26It would be better if you tweak the existing u7z script instead of  
     27providing a new one. I see the exisiting one has support for  
     28removing files from archives - why doesn't it work for you ? Does  
     29it print an error message of some kind ? 
     30}}} 
     31 
     32Comment 3 by SGh <sgh> at Tue 30 May 2006 07:52:33 PM UTC: 
     33{{{ 
     34What's the difference if I've wrote my own version or changed the  
     35existent one? I've written it just a bit earlier before I've  
     36downloaded the CVS. I don't exactly remember but deleting wasn't  
     37worked in that CVS anyway. Seems like there was just an empty  
     38delete function. 
     39}}} 
     40 
     41Comment 4 by Leonard den Ottolander <leonardjo> at Wed 21 Jun 2006 05:35:56 PM UTC: 
     42{{{ 
     43It's easier to see what changed (and if there are unwanted  
     44regressions) if you patch the existing version instead of writing a  
     45new version from scratch. 
     46 
     47So if you want to get any improvements considered for inclusion you  
     48will have to rewrite your patch. 
     49}}} 
     50 
     51Comment 5 by SGh <sgh> at Wed 21 Jun 2006 07:15:35 PM UTC: 
     52{{{ 
     53OK, Understand. I will download latest CVS, and see if I have  
     54something to patch un u7z. 
     55}}} 
     56 
     57Comment 6 by SGh <sgh> at Fri 23 Jun 2006 11:06:44 PM UTC: 
     58{{{ 
    1459Here is my patch to original u7z, fixed things: 
    15601) Detection if we have 7z or only 7za installed. (With 7z we can  
     
    1964filenames. 
    20653) Fixed directory creation in mcu7zip_mkdir, now it works properly. 
    21         SGh <sgh> 
    22 Wed 21 Jun 2006 07:15:35 PM UTC, comment #5: 
     66}}} 
    2367 
    24 OK, Understand. I will download latest CVS, and see if I have  
    25 something to patch un u7z. 
    26         SGh <sgh> 
    27 Wed 21 Jun 2006 05:35:56 PM UTC, comment #4: 
    28  
    29 It's easier to see what changed (and if there are unwanted  
    30 regressions) if you patch the existing version instead of writing a  
    31 new version from scratch. 
    32  
    33 So if you want to get any improvements considered for inclusion you  
    34 will have to rewrite your patch. 
    35         Leonard den Ottolander <leonardjo> 
    36 Project Member 
    37 Tue 30 May 2006 07:52:33 PM UTC, comment #3: 
    38  
    39 What's the difference if I've wrote my own version or changed the  
    40 existent one? I've written it just a bit earlier before I've  
    41 downloaded the CVS. I don't exactly remember but deleting wasn't  
    42 worked in that CVS anyway. Seems like there was just an empty  
    43 delete function. 
    44         SGh <sgh> 
    45 Thu 18 May 2006 01:51:52 PM UTC, comment #2: 
    46  
    47 It would be better if you tweak the existing u7z script instead of  
    48 providing a new one. I see the exisiting one has support for  
    49 removing files from archives - why doesn't it work for you ? Does  
    50 it print an error message of some kind ? 
    51         Pavel Tsekov <ptsekov> 
    52 Project Administrator 
    53 Sat 08 Apr 2006 01:45:08 PM UTC, comment #1: 
    54  
    55 P.S. Sorry for my bad english. 
    56         SGh <sgh> 
    57 Sat 08 Apr 2006 01:43:59 PM UTC, original submission: 
    58  
    59 I have mc CVS 2005-08-10-19 installed, I found, that I can't delete  
    60 form 7z archives, and can't do some other operations (i.e. mc u7z  
    61 cannot properly handle old 7z archives with ".\" at the beginning  
    62 of filename)... So I wrote my own u7z version with all  
    63 functionality, that provide p7zip archiver. Please include it to  
    64 the mc source code. 
    65 }}}